Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:50 2009

## Asterisk developer's documentation

# sip_pkt Struct Reference

sip packet - read in sipsock_read, transmitted in send_request More...

Collaboration diagram for sip_pkt:

[legend]

## Data Fields

char | data [0]
unsigned int | flags
int | method
struct sip_pkt * | next
struct sip_pvt * | owner
int | packetlen
int | retrans
int | retransid
int | seqno
int | timer_a
int | timer_t1

## Detailed Description

sip packet - read in sipsock_read, transmitted in send_request

Definition at line 707 of file chan_sip.c.

## Field Documentation

char data[0]

Definition at line 718 of file chan_sip.c.

Referenced by __sip_ack(), __sip_pretend_ack(), __sip_reliable_xmit(), __sip_semi_ack(), and retrans_pkt().

unsigned int flags

non-zero if this is a response packet (e.g. 200 OK)

Definition at line 712 of file chan_sip.c.

int method

SIP method for this packet

Definition at line 710 of file chan_sip.c.

Referenced by __sip_pretend_ack(), __sip_reliable_xmit(), and retrans_pkt().

struct sip_pkt* next`[read]`

Next packet

Definition at line 708 of file chan_sip.c.

Referenced by __sip_ack(), __sip_destroy(), __sip_reliable_xmit(), __sip_semi_ack(), and retrans_pkt().

struct sip_pvt* owner`[read]`

Owner call

Definition at line 713 of file chan_sip.c.

Referenced by __sip_reliable_xmit(), and retrans_pkt().

int packetlen

Length of packet

Definition at line 717 of file chan_sip.c.

Referenced by __sip_reliable_xmit(), and retrans_pkt().

int retrans

Retransmission number

Definition at line 709 of file chan_sip.c.

Referenced by retrans_pkt().

int retransid

Retransmission ID

Definition at line 714 of file chan_sip.c.

Referenced by __sip_ack(), __sip_destroy(), __sip_reliable_xmit(), __sip_semi_ack(), and retrans_pkt().

int seqno

Sequence number

Definition at line 711 of file chan_sip.c.

Referenced by __sip_ack(), __sip_pretend_ack(), __sip_reliable_xmit(), __sip_semi_ack(), and retrans_pkt().

int timer_a

SIP timer A, retransmission timer

Definition at line 715 of file chan_sip.c.

Referenced by retrans_pkt().

int timer_t1

SIP Timer T1, estimated RTT or 500 ms

Definition at line 716 of file chan_sip.c.

Referenced by __sip_reliable_xmit(), and retrans_pkt().

The documentation for this struct was generated from the following file:

- chan_sip.c